Skip to main content
POST
Save an org's OAuth client for a provider

Authorizations

x-api-key
string
header
required

Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.

Path Parameters

providerId
string
required
Required string length: 1 - 255

Body

application/json
clientId
string
Required string length: 1 - 512
clientSecret
string
Required string length: 1 - 4096
features
string[]
Required string length: 1 - 128
tenantId
string
Required string length: 1 - 253

Response

OAuth client saved.

ok
boolean
required
providerId
string
required
clientId
string
required
features
string[]
required
tenantId
string | null
required